package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.node.NodeApi;
import cn.iocoder.yudao.module.ecw.api.node.dto.NodeRespDTO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.node.NodeDO;
import cn.iocoder.yudao.module.ecw.dal.mysql.node.NodeMapper;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@Service
public class NodeApiImpl implements NodeApi {
    @Resource
    private NodeMapper nodeMapper;

    @Override
    public List<NodeRespDTO> getNodesByCity(Long cityId, Long countryId) {
        List<NodeDO> city = null;
        if (cityId != null) {
            city = nodeMapper.selectList("shi", cityId);
        } else if (countryId != null) {
            city = nodeMapper.selectList("guojia", countryId);
        }
        if (city != null && !city.isEmpty()) {
            ArrayList<NodeRespDTO> nodeRespDTOS = new ArrayList<>();
            for (NodeDO nodeDO : city) {
                NodeRespDTO nodeRespDTO = new NodeRespDTO();
                BeanUtils.copyProperties(nodeDO, nodeRespDTO);
                nodeRespDTOS.add(nodeRespDTO);
            }
            return nodeRespDTOS;
        }
        return null;
    }
}
